curl --request GET \
--url https://api.quivo.co/v2/items/{itemId}/movements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/items/{itemId}/movements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/items/{itemId}/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/items/{itemId}/movements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/items/{itemId}/movements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/items/{itemId}/movements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/items/{itemId}/movements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"warehouseName": "<string>",
"itemMovements": [
{
"movementDate": "2023-12-25",
"warehouseIdentifier": "<string>",
"reference": "<string>",
"adjustmentQuantity": 123,
"movementType": "ORDER",
"typeReference": "<string>",
"lot": "<string>",
"expirationDate": "2023-12-25",
"movementAt": "2023-11-07T05:31:56Z",
"storage": "<string>",
"serialNumbers": [
"<string>"
],
"carton": true
}
],
"nextPageToken": "<string>"
}List item movements
Get stock movement history for the specified item.
curl --request GET \
--url https://api.quivo.co/v2/items/{itemId}/movements \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quivo.co/v2/items/{itemId}/movements"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quivo.co/v2/items/{itemId}/movements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quivo.co/v2/items/{itemId}/movements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.quivo.co/v2/items/{itemId}/movements"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.quivo.co/v2/items/{itemId}/movements")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quivo.co/v2/items/{itemId}/movements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"warehouseName": "<string>",
"itemMovements": [
{
"movementDate": "2023-12-25",
"warehouseIdentifier": "<string>",
"reference": "<string>",
"adjustmentQuantity": 123,
"movementType": "ORDER",
"typeReference": "<string>",
"lot": "<string>",
"expirationDate": "2023-12-25",
"movementAt": "2023-11-07T05:31:56Z",
"storage": "<string>",
"serialNumbers": [
"<string>"
],
"carton": true
}
],
"nextPageToken": "<string>"
}Authorizations
Access token from POST /v2/oauth2/token, requested with an API credential. See https://api-docs.quivo.co/api-reference/authentication.
Path Parameters
The unique identifier for an inventory item.
Query Parameters
The page number to retrieve when using offset-based pagination. Ignored if 'searchAfter' is provided.
The maximum number of items to return per page. Used for both offset and cursor-based pagination.
The start date/time for filtering item history movements. Format: ISO 8601 datetime.
The end date/time for filtering item history movements. Format: ISO 8601 datetime.
Also return internal storage relocations (Qore only); off by default
Response
Returns the stock movement history for the specified item, including chronological records of movements, allocations, and adjustments with timestamps.